{# templates/base.html.twig #}
<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html" ;=";" charset="utf-8"/>
    <!-- | Important for Responsive | -->
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>
      {% block title %}
        {{ 'site.title'|trans }}
        -
        {{ 'site.tagline'|trans }}
      {% endblock title %}
    </title>
    <!--[if lt IE 9]> <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script> <![endif]-->
    {% block stylesheets %}
      <!-- Google Fonts CSS -->
      <link href='http://fonts.googleapis.com/css?family=Aclonica' rel='stylesheet' type='text/css'>
      <link href='http://fonts.googleapis.com/css?family=La+Belle+Aurore' rel='stylesheet' type='text/css'>

      <!-- Bootstrap CSS -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

      <!-- FontAweSome min CSS -->
      <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">

      <!-- Our CSS -->
      <link href="{{ asset('css/screen.css') }}" type="text/css" rel="stylesheet"/>
    {% endblock stylesheets %}
    <link rel="shortcut icon" href="{{ asset('images/favicon.png') }}"/>
  </head>
  <body>

    <div id="blog" class="container">
      <!--|| Locale Switch ||-->
      <br/>
      <div class="row">
        <div class="col-xs-3 col-sm-1 col-md-1 col-xs-offset-6 col-sm-offset-10 col-md-offset-10">
          <a href="/en" class="thumbnail">
            <img src="{{ asset('images/flags/us.png') }}" alt="english">
          </a>
        </div>
        <div class="col-xs-3 col-sm-1 col-md-1">
          <a href="/de" class="thumbnail">
            <img src="{{ asset('images/flags/de.png') }}" alt="german">
          </a>
        </div>
      </div>

      {% block header %}
        <div class="row">
          <div class="col-md-12">
            <header id="header">
              <hgroup>
                <h2>
                  {% block site_title %}
                    <a href="{{ path('homepage') }}"><img src="{{ asset('images/logo.png') }}"/><!--{{ 'site.name'|trans }}--></a>
                  </img>
                {% endblock site_title %}
              </h2>
              <h3>
                {% block site_tagline %}
                  <a href="{{ path('homepage') }}">{{ 'site.tagline'|trans }}</a>
                {% endblock site_tagline %}
              </h3>
            </hgroup>
          </header>
        </div>
      </div>
    {% endblock header %}

    {% block navbar %}
      <nav class="navbar navbar-default" role="navigation">

        <div class="container-fluid">

          <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-simples">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="{{ path('homepage') }}" style="color:#105ea0">
              {{ 'nav.home'|trans }}
            </a>
          </div>

          <div class="collapse navbar-collapse" id="navbar-simples">
            <ul class="nav navbar-nav">
              <li>
                <a href="{{ path('about') }}" style="color:#337ab7">
                  {{ 'nav.about'|trans }}
                </a>
              </li>
              <li>
                <a href="{{ path('contact') }}" style="color:#337ab7">
                  {{ 'nav.contact'|trans }}
                </a>
              </li>
              <li>
                <a href="{{ path('search') }}" style="color:#337ab7">
                  {{ 'nav.search'|trans }}
                </a>
              </li>
            </ul>
            <!--| Login/Logout Start-needed |-->
                        <ul class="nav navbar-nav navbar-right">
            <!--| Login/Logout End-needed |-->

            <!--| Login/Logout Start |-->
                                <li class="dropdown pull-right"><a href="{{ path('fos_user_registration_register') }}" style="color:#15609f"><span class="glyphicon glyphicon-knight" aria-hidden="true"></span> {% trans %}login.register{% endtrans %}</a></li>

                            {% if app.user %}
                                <li class="dropdown pull-right"><a href="{{ path('fos_user_security_logout') }}" style="color:#15609f"><span class="glyphicon glyphicon-log-out" aria-hidden="true"></span> {% trans %}login.logout{% endtrans %}</a></li>
                            {% else %}
                                <li class="dropdown pull-right"><a href="{{ path('fos_user_security_login') }}" style="color:#15609f"><span class="glyphicon glyphicon-log-in" aria-hidden="true"></span> {% trans %}login.login{% endtrans %}</a></li>
                            {% endif %}

                            <!--|| BEGIN ADMIN LINK ||-->
                                {% if is_granted('ROLE_ADMIN') -%}
                                    <li class="dropdown">

                                        <li class="dropdown">
                                            <a href="{{ path('easyadmin') }}" style="color:#15609f"><span class="glyphicon glyphicon-king" aria-hidden="true"></span> {{ 'admin.panel'|trans }}</a>
                                        </li>
                                    </li>
                                {% endif %}
                                <!--|| END ADMIN LINK ||-->
                        </ul>
            <!--| Login/Logout End |-->
          </div>
        </div>
      </nav>
    {% endblock navbar %}

    <div class="panel panel-default">

      <div class="panel-body">
        <div class="container-fluid">

          <!--|| The content of the Homepage will be here ||-->
          <section class="main-col">
            {% block body %}{% endblock body %}
          </section>
          <!--|| The content of the Sidebar will be here ||-->
          <aside class="wrapper sidebar">
            {% block sidebar %}{% endblock sidebar %}
          </aside>

        </div>
      </div>

      {% block footer %}
        <!--|| Share in social networks the page that the user is reading ||-->
        <div class="panel-footer">

          <div id="socialNetworks" class="text-center">
            <a id="shareFB" target="_blank" href="https://www.facebook.com/sharer/sharer.php?u={{ path(app.request.attributes.get('_route'), app.request.attributes.get('_route_params')) }}">
              <i class="fab fa-facebook-f fa-2x"></i>

              <a id="shareTW" target="_blank" href="http://twitter.com/home?status={{ path(app.request.attributes.get('_route'), app.request.attributes.get('_route_params')) }}">
                <i class="fab fa-twitter fa-2x"></i>
              </div>

              <div id="footerInfo" class="text-center">
                {% trans %}footer.copy{% endtrans %}
                &copy; 2015-{{ "now" | date("Y") }}
                <a href="{{ 'footer.mail.username'|trans }}@{{ 'footer.mail.domain'|trans }}">{{ 'footer.mail.title'|trans }}
                </a>
                <br>
                <a href="">{{ 'legal.terms'|trans }}</a>&nbsp;&nbsp;|&nbsp;&nbsp;
                <a href="">{{ 'legal.disclaimer'|trans }}</a>&nbsp;&nbsp;|&nbsp;&nbsp;
                <a href="">{{ 'legal.privacy'|trans }}</a>&nbsp;&nbsp;|&nbsp;&nbsp;
                <a href="">{{ 'legal.trademarks'|trans }}</a>&nbsp;&nbsp;|&nbsp;&nbsp;
                <a href="">{{ 'legal.imprint'|trans }}</a>

              </div>
            </div>
          {% endblock footer %}
        </div>

        {% block javascripts %}
          <!-- Optional JavaScript -->
          <!-- jQuery first, then Popper.js, then Bootstrap JS -->
          <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
          <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
          <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
          <!-- FontAweSome JS -->
          <script defer="defer" src="https://use.fontawesome.com/releases/v5.0.8/js/all.js"></script>
        {% endblock javascripts %}
      </div>
    </body>
  </html>
